Api referenceAudits
Get Audit Truth
Reference for Get Audit Truth in the Hyperoru v1 API, including request, response, and authentication details.
GET
/v1/workspaces/{workspace_id}/audits/{audit_id}/truthGet Audit Truth. Returns a typed response and a request ID for operational support.
hyperoru_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidaudit_id*Audit Id
Format
uuidQuery Parameters
project_id?|null
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audits/497f6eca-6276-4993-bfeb-53cbbbba6f08/truth"{
"audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",
"entities": [
{
"attributes": {},
"canonical_key": "string",
"confidence": "string",
"contradictions": [
{
"alternatives": [
{
"evidence_ids": [
"973ab5a6-b373-447d-ab9d-bdb660b35afc"
],
"observed_at": "2019-08-24T14:15:22Z",
"source_keys": [
"string"
],
"source_refs": [
"string"
],
"value": "string"
},
{
"evidence_ids": [
"973ab5a6-b373-447d-ab9d-bdb660b35afc"
],
"observed_at": "2019-08-24T14:15:22Z",
"source_keys": [
"string"
],
"source_refs": [
"string"
],
"value": "string"
}
],
"detected_at": "2019-08-24T14:15:22Z",
"field": "string",
"resolution_summary": "string",
"resolved_at": "2019-08-24T14:15:22Z",
"state": "open"
}
],
"evidence_ids": [
"string"
],
"first_observed_at": "2019-08-24T14:15:22Z",
"kind": "string",
"last_observed_at": "2019-08-24T14:15:22Z",
"links": {
"decision_ids": [
"ee5dfe1a-ec80-4b91-a667-92bab6473bc1"
],
"deployment_evidence_ids": [
"b9ebcd9e-d4d0-470b-b9ae-54dd726b538e"
],
"finding_ids": [
"d5d48824-6cad-498f-8feb-561fb3cdb809"
],
"owner_ids": [
"f08e96b0-7632-4168-a4e6-5228d054c122"
],
"remediation_ids": [
"b8f3922c-cdec-4b4e-8fb9-135818ed224f"
]
},
"name": "string",
"sources": [
"string"
]
}
],
"entity_count": 0,
"evidence": [
{
"content_sha256": "string",
"evidence_kind": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"location": {},
"object_key": "string",
"observed_at": "2019-08-24T14:15:22Z",
"provider": "string",
"relationship_kind": "string",
"source_ref": "string",
"source_type": "code",
"subject_key": "string",
"summary": "string"
}
],
"generated_at": "2019-08-24T14:15:22Z",
"missing_sources": [
"string"
],
"relationship_count": 0,
"relationships": [
{
"attributes": {},
"canonical_key": "string",
"confidence": "string",
"contradictions": [
{
"alternatives": [
{
"evidence_ids": [
"973ab5a6-b373-447d-ab9d-bdb660b35afc"
],
"observed_at": "2019-08-24T14:15:22Z",
"source_keys": [
"string"
],
"source_refs": [
"string"
],
"value": "string"
},
{
"evidence_ids": [
"973ab5a6-b373-447d-ab9d-bdb660b35afc"
],
"observed_at": "2019-08-24T14:15:22Z",
"source_keys": [
"string"
],
"source_refs": [
"string"
],
"value": "string"
}
],
"detected_at": "2019-08-24T14:15:22Z",
"field": "string",
"resolution_summary": "string",
"resolved_at": "2019-08-24T14:15:22Z",
"state": "open"
}
],
"evidence_ids": [
"string"
],
"first_observed_at": "2019-08-24T14:15:22Z",
"kind": "string",
"last_observed_at": "2019-08-24T14:15:22Z",
"links": {
"decision_ids": [
"ee5dfe1a-ec80-4b91-a667-92bab6473bc1"
],
"deployment_evidence_ids": [
"b9ebcd9e-d4d0-470b-b9ae-54dd726b538e"
],
"finding_ids": [
"d5d48824-6cad-498f-8feb-561fb3cdb809"
],
"owner_ids": [
"f08e96b0-7632-4168-a4e6-5228d054c122"
],
"remediation_ids": [
"b8f3922c-cdec-4b4e-8fb9-135818ed224f"
]
},
"source_key": "string",
"sources": [
"string"
],
"superseded_at": "2019-08-24T14:15:22Z",
"supersedes_id": "8149cd94-4e90-4a99-91f5-a3e0f9b829dc",
"target_key": "string"
}
],
"snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",
"source_coverage": "string",
"sources": [
"string"
],
"status": "string",
"version": "string"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}